[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

r958 - in glibc-package/trunk/debian: . patches



Author: gotom
Date: 2005-07-21 18:04:04 +0000 (Thu, 21 Jul 2005)
New Revision: 958

Added:
   glibc-package/trunk/debian/patches/glibc235-gcc4-s390-inline.dpatch
Modified:
   glibc-package/trunk/debian/changelog
   glibc-package/trunk/debian/patches/00list
Log:
      - debian/patches/glibc235-gcc4-s390-inline.dpatch: New file, fix s390
        compilation breakage by changing static inline to auto inline for
        dl-machine.h.


Modified: glibc-package/trunk/debian/changelog
===================================================================
--- glibc-package/trunk/debian/changelog	2005-07-21 01:48:06 UTC (rev 957)
+++ glibc-package/trunk/debian/changelog	2005-07-21 18:04:04 UTC (rev 958)
@@ -14,6 +14,9 @@
         nicely.
       - debian/patches/glibc235-gcc4-sparc-inline.dpatch: Update the patch
         to compile sparc64.
+      - debian/patches/glibc235-gcc4-s390-inline.dpatch: New file, fix s390
+        compilation breakage by changing static inline to auto inline for
+        dl-machine.h.
 
     * Michael Banck <mbanck@debian.org>:
       - debian/patches/hurd-enable-ldconfig.dpatch: New file, to build ldconfig

Modified: glibc-package/trunk/debian/patches/00list
===================================================================
--- glibc-package/trunk/debian/patches/00list	2005-07-21 01:48:06 UTC (rev 957)
+++ glibc-package/trunk/debian/patches/00list	2005-07-21 18:04:04 UTC (rev 958)
@@ -76,3 +76,4 @@
 hurd-ioctl-pfinet
 glibc235-hppa-lt
 glibc235-hppa-sysdeps
+glibc235-gcc4-s390-inline

Added: glibc-package/trunk/debian/patches/glibc235-gcc4-s390-inline.dpatch
===================================================================
--- glibc-package/trunk/debian/patches/glibc235-gcc4-s390-inline.dpatch	2005-07-21 01:48:06 UTC (rev 957)
+++ glibc-package/trunk/debian/patches/glibc235-gcc4-s390-inline.dpatch	2005-07-21 18:04:04 UTC (rev 958)
@@ -0,0 +1,133 @@
+#! /bin/sh -e
+
+# All lines beginning with `# DP:' are a description of the patch.
+# DP: Description: Make glibc-2.3.5 compile with gcc-4.0 on s390 for inline
+#		   functions of dl-machine.h.
+# DP: Related bugs: 
+# DP: Dpatch author: GOTO Masanori <gotom@debian.org>
+# DP: Patch author: GOTO Masanori <gotom@debian.org>
+# DP: Upstream status: In CVS / Debian-Specific
+# DP: Status Details: 
+# DP: Date: 2005-07-21
+
+PATCHLEVEL=0
+
+if [ $# -ne 2 ]; then
+    echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+    exit 1
+fi
+case "$1" in
+    -patch) patch -d "$2" -f --no-backup-if-mismatch -p$PATCHLEVEL < $0;;
+    -unpatch) patch -d "$2" -f --no-backup-if-mismatch -R -p$PATCHLEVEL < $0;;
+    *)
+	echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+	exit 1
+esac
+exit 0
+
+# append the patch here and adjust the -p? flag in the patch calls.
+2005-07-21  GOTO Masanori  <gotom@debian.org>
+
+	* sysdeps/s390/s390-32/dl-machine.h: Use auto inline.
+	* sysdeps/s390/s390-64/dl-machine.h: Likewise.
+
+--- sysdeps/s390/s390-32/dl-machine.h.org	2005-07-14 11:26:21.000000000 -0400
++++ sysdeps/s390/s390-32/dl-machine.h	2005-07-14 11:29:24.000000000 -0400
+@@ -383,7 +383,14 @@ elf_machine_plt_value (struct link_map *
+ /* Perform the relocation specified by RELOC and SYM (which is fully resolved).
+    MAP is the object containing the reloc.  */
+ 
+-static inline void
++#if __GNUC__ >= 4
++  auto inline void
++#else
++  static inline void
++#endif
++#if __GNUC__ >= 4 || (__GNUC__ == 3 && __GNUC_MINOR__ >= 2)
++  __attribute ((always_inline))
++#endif
+ elf_machine_rela (struct link_map *map, const Elf32_Rela *reloc,
+ 		  const Elf32_Sym *sym, const struct r_found_version *version,
+ 		  void *const reloc_addr_arg)
+@@ -539,7 +546,14 @@ elf_machine_rela (struct link_map *map, 
+     }
+ }
+ 
+-static inline void
++#if __GNUC__ >= 4
++  auto inline void
++#else
++  static inline void
++#endif
++#if __GNUC__ >= 4 || (__GNUC__ == 3 && __GNUC_MINOR__ >= 2)
++  __attribute ((always_inline))
++#endif
+ elf_machine_rela_relative (Elf32_Addr l_addr, const Elf32_Rela *reloc,
+ 			   void *const reloc_addr_arg)
+ {
+@@ -547,7 +561,14 @@ elf_machine_rela_relative (Elf32_Addr l_
+   *reloc_addr = l_addr + reloc->r_addend;
+ }
+ 
+-static inline void
++#if __GNUC__ >= 4
++  auto inline void
++#else
++  static inline void
++#endif
++#if __GNUC__ >= 4 || (__GNUC__ == 3 && __GNUC_MINOR__ >= 2)
++  __attribute ((always_inline))
++#endif
+ elf_machine_lazy_rel (struct link_map *map,
+ 		      Elf32_Addr l_addr, const Elf32_Rela *reloc)
+ {
+--- sysdeps/s390/s390-64/dl-machine.h.org	2005-07-21 10:57:50.502759109 -0400
++++ sysdeps/s390/s390-64/dl-machine.h	2005-07-21 10:59:17.372759109 -0400
+@@ -350,7 +350,14 @@
+ /* Perform the relocation specified by RELOC and SYM (which is fully resolved).
+    MAP is the object containing the reloc.  */
+ 
+-static inline void
++#if __GNUC__ >= 4
++  auto inline void
++#else
++  static inline void
++#endif
++#if __GNUC__ >= 4 || (__GNUC__ == 3 && __GNUC_MINOR__ >= 2)
++  __attribute ((always_inline))
++#endif
+ elf_machine_rela (struct link_map *map, const Elf64_Rela *reloc,
+ 		  const Elf64_Sym *sym, const struct r_found_version *version,
+ 		  void *const reloc_addr_arg)
+@@ -518,7 +525,14 @@
+     }
+ }
+ 
+-static inline void
++#if __GNUC__ >= 4
++  auto inline void
++#else
++  static inline void
++#endif
++#if __GNUC__ >= 4 || (__GNUC__ == 3 && __GNUC_MINOR__ >= 2)
++  __attribute ((always_inline))
++#endif
+ elf_machine_rela_relative (Elf64_Addr l_addr, const Elf64_Rela *reloc,
+ 			   void *const reloc_addr_arg)
+ {
+@@ -526,7 +540,14 @@
+   *reloc_addr = l_addr + reloc->r_addend;
+ }
+ 
+-static inline void
++#if __GNUC__ >= 4
++  auto inline void
++#else
++  static inline void
++#endif
++#if __GNUC__ >= 4 || (__GNUC__ == 3 && __GNUC_MINOR__ >= 2)
++  __attribute ((always_inline))
++#endif
+ elf_machine_lazy_rel (struct link_map *map,
+ 		      Elf64_Addr l_addr, const Elf64_Rela *reloc)
+ {



Reply to: